#
# spec file for package python-watermark
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-watermark
Version:        2.0.2
Release:        bp154.1.16
Summary:        IPython magic function to psystem information
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/rasbt/watermark
Source:         https://files.pythonhosted.org/packages/source/w/watermark/watermark-%{version}.tar.gz
BuildRequires:  %{python_module ipython}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-ipython
Provides:       python-jupyter_watermark = %{version}
Obsoletes:      python-jupyter_watermark < %{version}
BuildArch:      noarch
%ifpython3
Provides:       jupyter-watermark = %{version}
%endif
%python_subpackages

%description
An Jupyter magic extension for printing date and time stamps, version numbers,
and hardware information.

%prep
%setup -q -n watermark-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -c "import watermark; print('watermark %s' % watermark.__version__)";
%python_expand ipython-%{$python_bin_suffix} -c "%load_ext watermark";

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/watermark-%{version}-py*.egg-info
%{python_sitelib}/watermark/

%changelog
* Fri Jan  3 2020 Todd R <toddrme2178@gmail.com>
- Update to 2.0.2
  * Support VERSION attributes, in addition to __version__ attributes.
- Drop python2 support due to dependencies dropping python2
* Tue Nov 12 2019 Todd R <toddrme2178@gmail.com>
- Update to 2.0.1
  * Now uses pkg_resources as the default method for getting version numbers.
  * Fixes a whitespace bug when printing the timezone.
* Sun Aug 11 2019 Todd R <toddrme2178@gmail.com>
- Update to 1.8.2
  * When no Python library was imported and the --iversion is used,
    print an empty string instead of raising an error.
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Update to 1.8.1
  * Fixes string alignment issues when the -iv/--iversion flag is used.
- Update to 1.8.0
  * The -iv/--iversion flag now also shows package versions that were imported as from X import Y
    and import X.Y as Y.
- Rename to to match python package naming guidelines.
- Split jupyter components into own subpackage.
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 1.7.0
  * Show modules that are not installed
  * include license file in wheels dist
* Fri Sep  7 2018 toddrme2178@gmail.com
- Update to version 1.6.1
  * Include license file in wheels.
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Thu Apr 19 2018 toddrme2178@gmail.com
- Update to version 1.6.0
  * Adds a new -b/--gitbranch parameter that prints the current Git branch.
* Wed Nov  8 2017 toddrme2178@gmail.com
- Initial version
